Minimum requirements

CPD Online works with the following browsers and plug-ins which may be downloaded free of charge from the supplier's sites:

 

Browsers

 
 
Internet Explorer 4 (and above)
Netscape 4 (and above)

Plugins required

 

 

See also:

 

Accessibility

Using plug-ins

© 2018 Royal College of Psychiatrists